Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

Public Attributes | List of all members
RtAudio::StreamParameters Struct Reference

The structure for specifying input or output stream parameters. More...

`#include <RtAudio.h>`

## Public Attributes
unsigned int | deviceId {}
unsigned int | nChannels {}
unsigned int | firstChannel {}

## Detailed Description

The structure for specifying input or output stream parameters.

## Member Data Documentation

## ◆ deviceId

unsigned int RtAudio::StreamParameters::deviceId {}

Device id as provided by getDeviceIds().

304{};

## ◆ nChannels

unsigned int RtAudio::StreamParameters::nChannels {}

Number of channels.

305{};

## ◆ firstChannel

unsigned int RtAudio::StreamParameters::firstChannel {}

First channel index on device (default = 0).

306{};

The documentation for this struct was generated from the following file:

- RtAudio.h

The Synthesis ToolKit in C++ (STK)
©1995--2023 Perry R. Cook and Gary P. Scavone. All Rights Reserved.